#ifndef __TIMER_H
#define __TIMER_H

#include "volumeshop.h"

#include "hltimer.h"

class Timer
{
public:

	Timer() 
	{
		start();
	};

	~Timer()
	{
	};

	void start()
	{
		timer.start();
	};

	void stop()
	{
		timer.stop();
	};

	operator double() 
	{
		return (double) (*static_cast<HL::Timer*>(&timer));
	};

	operator float() const
	{
		return (float) (double) (*this);
	};

private:

	HL::Timer timer;
};

#endif

