uniform sampler3D samDataVolume;
uniform sampler2D samBackgroundSelectionColorTransferFunction;
uniform vec2 cutaway;

vec4 GetColor(const sampler2D samColorTransferFunction, vec2 vecSample)
{
	return texture2D(samColorTransferFunction,vecSample);
}


void main() {

	vec4 vecSampleDataVolume = texture3D(samDataVolume,gl_TexCoord[0].xyz);
	
	vec4 v = GetColor(samBackgroundSelectionColorTransferFunction, vec2(vecSampleDataVolume.a,0.0));
	if (cutaway.x > 0.0) {
		if (vecSampleDataVolume.a < cutaway.y + 0.1 && vecSampleDataVolume.a >= cutaway.y) {
			v.a = 1.0;
		}
	}
	
	
	gl_FragColor = v;
	
	
}
